#!/bin/sh
#
#     Killer Cracker v7.00 - Un*x Password Cracker - By Doctor Dissector
# =========================================================================
#    Filename: install.sh  -  Last update: 6/1/91  -  Copyright (c) 1991
#
# usage:  sh install.sh [bsd|sysv|ansi]

compiler=cc
export compiler

echo ""
echo "Killer Cracker Un*x Installation Script v7.00 (6/1/91)"
echo "Copyright (C) 1991, By Doctor Dissector"
echo ""

if [ -z "${1}" ] ; then
    echo "usage:  sh ${0} [bsd|sysv|ansi]"
    echo "${0}: invalid arguments"
    exit 1
fi

if [ "${1}" = "bsd" ] ; then
    systype="__BSD"
elif [ "${1}" = "sysv" ] ; then
    systype="__SYSV"
elif [ "${1}" = "ansi" ] ; then
    systype="__ANSI"
else
    echo "usage:  sh ${0} [bsd|sysv|ansi]"
    echo "${0}: invalid arguments"
    exit 1
fi

export systype

echo "Stripping <CR> characters..."

if [ -r "KC.C" -a -n "KC.C" ] ; then
    echo "KC.C     ->  kc.c"
    tr -d "\015" "" < KC.C > kc.c
fi

if [ -r "KC.H" -a -n "KC.H" ] ; then
    echo "KC.H     ->  kc.h"
    tr -d "\015" "" < KC.H > kc.h1
    grep -v TURBO kc.h1 > kc.h2
    grep -v MSDOS kc.h2 > kc.h
    rm kc.h1 kc.h2
fi

if [ -r "XFDES.C" -a -n "XFDES.C" ] ; then
    echo "XFDES.C  ->  xfdes.c"
    tr -d "\015" "" < XFDES.C > xfdes.c
fi

if [ -r "XFDES.H" -a -n "XFDES.H" ] ; then
    echo "XFDES.H  ->  xfdes.h"
    tr -d "\015" "" < XFDES.H > xfdes.h
fi

echo ""
echo "Compiling executable..."

${compiler} -O -D${systype} -D__UNIX -o kc kc.c

echo ""
echo "Un*x installation complete."
echo "To execute Killer Cracker, type 'kc'."
echo ""

exit 0
